package com.inspect.ivs.domain;

import java.io.Serializable;

public class TimeSpan implements Serializable {
   private String startTime;
   private String endTime;

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof TimeSpan)) {
         return false;
      } else {
         TimeSpan other = (TimeSpan)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if(this$startTime == null) {
               if(other$startTime != null) {
                  return false;
               }
            } else if(!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if(this$endTime == null) {
               if(other$endTime != null) {
                  return false;
               }
            } else if(!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof TimeSpan;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null?43:$startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null?43:$endTime.hashCode());
      return result;
   }

   public String toString() {
      return "TimeSpan(startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }

   public TimeSpan() {
   }

   public TimeSpan(String startTime, String endTime) {
      this.startTime = startTime;
      this.endTime = endTime;
   }
}
